Page MenuHomePhabricator

Assign "suppressredirect" to patroller and rollbacker on zhwiki
Closed, ResolvedPublic

Description

Please assign "suppressredirect" right to patroller and rollbacker group on zhwiki. That is,

'rollbacker' => [ 'rollback' => true, 'abusefilter-log-private' => true, 'abusefilter-view-private' => true, 'suppressredirect' => true ], // T18988 & T39679 & T174978 & T201160
'patroller' => [ 'patrol' => true, 'autopatrol' => true, 'movefile' => true, 'suppressredirect' => true ], // T195247 & T201160

Local consensus can be seen at here. Thank you.

Event Timeline

Cosine02 created this task.Aug 3 2018, 10:23 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 3 2018, 10:23 AM
Cosine02 updated the task description. (Show Details)Aug 3 2018, 11:31 AM
Cosine02 updated the task description. (Show Details)Aug 4 2018, 10:39 AM
Cosine02 updated the task description. (Show Details)Aug 4 2018, 10:41 AM
Rxy claimed this task.Aug 4 2018, 4:49 PM

Change 450401 had a related patch set uploaded (by Rxy; owner: Rxy):
[operations/mediawiki-config@master] Add suppressredirect permission to rollbacker and patroller at zhwiki

https://gerrit.wikimedia.org/r/450401

Rxy triaged this task as Normal priority.Aug 4 2018, 5:14 PM
Rxy moved this task from Config - to process to To deploy on the Wikimedia-Site-requests board.
A2093064 updated the task description. (Show Details)Aug 4 2018, 11:08 PM
Zest added a subscriber: Zest.Aug 6 2018, 6:29 AM

Change 450401 merged by jenkins-bot:
[operations/mediawiki-config@master] Add suppressredirect permission to rollbacker and patroller at zhwiki

https://gerrit.wikimedia.org/r/450401

Mentioned in SAL (#wikimedia-operations) [2018-08-06T11:23:09Z] <zfilipin@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:450401|Add suppressredirect permission to rollbacker and patroller at zhwiki (T201160)]] (duration: 00m 49s)

Rxy closed this task as Resolved.Aug 6 2018, 11:27 AM
Rxy moved this task from To deploy to Done on the Wikimedia-Site-requests board.

Mentioned in SAL (#wikimedia-operations) [2018-08-06T11:31:25Z] <zfilipin@deploy1001> Synchronized wmf-config/LabsServices.php: SWAT: [[gerrit:450484|deployment-prep: Change urldownloader host (T201160)]] (duration: 00m 50s)

If I understand correctly this right every patroller or rollbacker on this wiki can now replace any page content with a REDIRECT tag, then be able to erase page history by moving another page on this one.

BJ6123C7BTD removed a subscriber: BJ6123C7BTD.
Rxy added a comment.Aug 15 2018, 8:04 PM

If I understand correctly this right every patroller or rollbacker on this wiki can now replace any page content with a REDIRECT tag, then be able to erase page history by moving another page on this one.

No, you are misunderstanding . When delete page over redirect is target page must be single revision.
see https://en.wikipedia.org/wiki/WP:MOR

Cosine02 removed a subscriber: Cosine02.

If I understand correctly this right every patroller or rollbacker on this wiki can now replace any page content with a REDIRECT tag, then be able to erase page history by moving another page on this one.

No, you are misunderstanding . When delete page over redirect is target page must be single revision.
see https://en.wikipedia.org/wiki/WP:MOR

Thanks for the clarification.